Skip to navigation

✨ Get model provider connection

Authentication

AuthorizationToken

The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example:

curl https://label-studio-host/api/projects -H "Authorization: Token [your-token]"

Path parameters

idintegerRequired
A unique integer value identifying this model provider connection.

Response

This endpoint returns an object.
budget_last_reset_datedatetime or nullRead-only
Date and time the budget was last reset
budget_limitdouble or nullRead-only

Budget limit for the model provider connection (null if unlimited)

budget_reset_periodenum or null

Budget reset period for the model provider connection (null if not reset)

  • Monthly - Monthly
  • Yearly - Yearly
Allowed values:
budget_total_spentdouble or nullRead-only
Tracked total budget spent for the given provider connection within the current budget period
created_atdatetimeRead-only
created_byobject
A ModelSerializer that takes additional arguments for "fields", "omit" and "expand" in order to control which fields are displayed, and whether to replace simple values with complex, nested serializations
idintegerRead-only
model_paramsmap from strings to anyRead-only
JSON schema for the model parameters available for the provider
organizationinteger or nullRead-only
updated_atdatetimeRead-only
budget_alert_thresholddouble or nullOptional
Budget alert threshold for the given provider connection
cached_available_modelsstring or nullOptional<=4096 characters
List of available models from the provider
deployment_namestring or nullOptional<=512 characters
Azure OpenAI deployment name
endpointstring or nullOptional<=512 characters
Azure OpenAI endpoint
google_locationstring or nullOptional<=255 characters
Google project location
google_project_idstring or nullOptional<=255 characters
Google project ID
is_internalboolean or nullOptional
Whether the model provider connection is internal, not visible to the user
providerenumOptional
  • OpenAI - OpenAI
  • AzureOpenAI - AzureOpenAI
  • AzureAIFoundry - AzureAIFoundry
  • VertexAI - VertexAI
  • Gemini - Gemini
  • Anthropic - Anthropic
  • Custom - Custom
scopeenumOptional
  • Organization - Organization
  • User - User
  • Model - Model
Allowed values: